GuideLab API

Get inventory dashboard statistics

Returns a comprehensive dashboard overview including total item count, total inventory value, low-stock and out-of-stock counts, expiring items, top 10 low-stock items, top 10 expiring items, recent stock adjustments, and category breakdown with values.

GET
/inventory/dashboard/stats

Returns a comprehensive dashboard overview including total item count, total inventory value, low-stock and out-of-stock counts, expiring items, top 10 low-stock items, top 10 expiring items, recent stock adjustments, and category breakdown with values.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X GET "https://example.com/inventory/dashboard/stats"
{  "data": {    "totalItems": 0,    "totalValue": "string",    "lowStockCount": 0,    "outOfStockCount": 0,    "expiringCount": 0,    "expirationAlertDays": 0,    "lowStockItems": [      {        "id": "string",        "name": "string",        "sku": "string",        "currentQuantity": "string",        "minQuantity": "string",        "unit": "string"      }    ],    "expiringItems": [      {        "id": "string",        "name": "string",        "sku": "string",        "expirationDate": "string",        "currentQuantity": "string",        "unit": "string"      }    ],    "recentAdjustments": [      {        "id": "string",        "inventoryItemId": "string",        "quantityChange": "string",        "source": "manual",        "reason": "string",        "notes": "string",        "createdAt": "string",        "itemName": "string",        "adjustedByName": "string"      }    ],    "categoryBreakdown": [      {        "categoryId": "string",        "categoryName": "string",        "categoryDescription": "string",        "categoryIcon": "string",        "itemCount": 0,        "totalValue": "string"      }    ]  }}
Empty